Method: disassociateAccount

  • This endpoint deletes the association between a customer's account and their Google payment instrument.

  • The request must contain a requestHeader and either a googlePaymentToken or a vendorPaymentToken.

  • The response will contain a responseHeader and a result indicating success or failure.

  • If the disassociation is successful, the result field will contain a success object.

  • Errors during processing will result in an ErrorResponse with a 4XX or 5XX HTTP status code.

Deletes the association between the customer's account with the payment processor and the Google instrument.

This disassociation should be processed idempotently, so if the same requestId is used as a previously processed request, the previous result should be idempotently returned. Otherwise if Google sends a googlePaymentToken that has already been disassociated, an error should be returned.

If the endpoint encounters an error while processing the request, the response body from this endpoint should be of type ErrorResponse.

An example request looks like:


{
  "requestHeader": {
    "protocolVersion": {
      "major": 2
    },
    "requestId": "bWVyY2hhbnQgdHJhbnNhY3Rpb24gaWQ",
    "requestTimestamp": {
      "epochMillis": "0"
    },
    "paymentIntegratorAccountId": "InvisiCashUSD"
  },
  "googlePaymentToken": {
    "issuerId": {
      "value": "InvisiCashUSA"
    },
    "token": "ZXhhbXBsZSB1bmlxdWUgcGF5bWVudCB0b2tlbiB2YWx1ZQ"
  }
}

An example response looks like:


{
  "responseHeader": {
    "responseTimestamp": {
      "epochMillis": "1481900013178"
    }
  },
  "result": {"success": {}}
}

HTTP request

POST https://www.integratorhost.example.com/integrator-base-path/v2/disassociateAccount

Request body

The request body contains data with the following structure:

JSON representation
{
  "requestHeader": {
    object (RequestHeader)
  },

  // The following is a list of mutually exclusive fields. At most one of the
  // fields will be set in a response:
  "googlePaymentToken": {
    object (GooglePaymentToken)
  },
  "vendorPaymentToken": {
    object (VendorPaymentToken)
  }
  // End of mutually exclusive fields.
}
Fields
requestHeader

object (RequestHeader)

REQUIRED: Common header for all requests.

REQUIRED: This is the token that should be disassociated. The following is a list of mutually exclusive fields. At most one of the fields will be set in a response:
googlePaymentToken

object (GooglePaymentToken)

The Google Payment Token that should be disassociated.

vendorPaymentToken

object (VendorPaymentToken)

The vendor payment token that should be disassociated.

End of mutually exclusive fields.

Response body

This method supports multiple return types. For additional information about what 4XX or 5XX HTTP status code to return with an ErrorResponse, consult the ErrorResponse object and HTTP status codes documentation.

Possible response messages
HTTP 200 Status

object (DisassociateAccountResponse)

HTTP 4XX / 5XX Status

object (ErrorResponse)

End of mutually exclusive fields.

DisassociateAccountResponse

Response object for the disassociate account method.

JSON representation
{
  "responseHeader": {
    object (ResponseHeader)
  },
  "result": {
    object (DisassociateAccountResult)
  }
}
Fields
responseHeader

object (ResponseHeader)

REQUIRED: Common header for all responses.

result

object (DisassociateAccountResult)

REQUIRED: Result of this disassociation.

DisassociateAccountResult

Result for disassociate account.

JSON representation
{

  // The following is a list of mutually exclusive fields. At most one of the
  // fields will be set in a response:
  "success": {
    object (Empty)
  }
  // End of mutually exclusive fields.
}
Fields
REQUIRED: The result of the disassociate account call. The following is a list of mutually exclusive fields. At most one of the fields will be set in a response:
success

object (Empty)

The account disassociation was successful.

End of mutually exclusive fields.